Announcement

Collapse
No announcement yet.

404 Error - Not found on click on login

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • 404 Error - Not found on click on login

    When i open a browser to open this page http://192.168.2.4/ox6/ or http://192.168.2.4/ox6/admin and i try to login i have popup error :
    Error - 404 - not found.
    Same with IE and firefox.
    I can read in apache error_log :

    tail -f /usr/local/apache2/logs/error_log
    [Fri Nov 02 17:54:41 2007] [error] [client 192.168.2.2] File does not exist: /var/www/favicon.ico
    [Fri Nov 02 17:54:53 2007] [error] [client 192.168.2.2] File does not exist: /var/www/ajax, referer: http://192.168.2.4/ox6/ox.html
    [Fri Nov 02 17:55:06 2007] [error] [client 192.168.2.2] File does not exist: /var/www/ajax, referer: http://192.168.2.4/ox6/ox.html
    [Fri Nov 02 17:55:09 2007] [error] [client 192.168.2.2] File does not exist: /var/www/ajax, referer: http://192.168.2.4/ox6/ox.html
    [Fri Nov 02 17:57:37 2007] [notice] caught SIGTERM, shutting down
    [Fri Nov 02 17:58:41 2007] [notice] Apache/2.0.61 (Unix) mod_jk/1.2.20 configured -- resuming normal operations
    [Fri Nov 02 17:59:00 2007] [error] [client 192.168.2.2] File does not exist: /var/www/ajax, referer: http://192.168.2.4/ox6/ox.html
    [Fri Nov 02 17:59:09 2007] [error] [client 192.168.2.2] File does not exist: /var/www/ajax, referer: http://192.168.2.4/ox6/ox.html
    [Fri Nov 02 18:00:47 2007] [error] [client 192.168.2.2] File does not exist: /var/www/ajax, referer: http://192.168.2.4/ox6/ox.html
    [Fri Nov 02 18:01:54 2007] [error] [client 192.168.2.2] File does not exist: /var/www/ajax, referer: http://192.168.2.4/ox6/ox.html
    [Fri Nov 02 18:03:01 2007] [error] [client 192.168.2.2] File does not exist: /var/www/ajax, referer: http://192.168.2.4/ox6/ox.html
    [Fri Nov 02 18:03:27 2007] [error] [client 192.168.2.2] File does not exist: /var/www/ajax, referer: http://192.168.2.4/ox6/ox.html
    [Fri Nov 02 18:04:59 2007] [error] [client 192.168.2.2] File does not exist: /var/www/ajax, referer: http://192.168.2.4/ox6/ox.html
    [Fri Nov 02 18:07:17 2007] [error] [client 192.168.2.2] File does not exist: /var/www/ajax, referer: http://192.168.2.4/ox6/ox.html
    [Fri Nov 02 18:09:16 2007] [error] [client 192.168.2.2] File does not exist: /var/www/ajax, referer: http://192.168.2.4/ox6/ox.html

    And in open-xchange-admin.log0 :
    GRAVE: Could not create sender to [127.0.0.1:57462] -- Socket is null, cannot connect to 127.0.0.1:57462
    2 nov. 2007 17:10:47 org.apache.jcs.auxiliary.lateral.socket.tcp.Latera lTCPCacheManager fixService
    GRAVE: Can't fix Socket is null, cannot connect to 127.0.0.1:57462
    2 nov. 2007 17:10:47 org.apache.jcs.auxiliary.lateral.LateralCacheResto re canFix
    GRAVE: Can't fix Can't fix Socket is null, cannot connect to 127.0.0.1:57462

    Any suggestion?

  • #2
    Hi,

    it seems you did not add the servlet paths to the apache config, see the wiki about mod_jk configuration.

    Greetings

    btw. the admin logfile does not log groupware errors. The shown exception is about missing clustering capabilities and can be safely ignored afaik.

    Comment


    • #3
      I check my ox.conf, worker.properties and loadmodule in httpd.conf... i haven't found an error. I installed mo_jk manually and i don't have a mod_jk log file in apache2 dir....

      The problem is with my mod_jk installation ?? I searching for debug but i can't found ...

      Comment


      • #4
        mh well are you sure mod_jk is really loaded? Apache2.2 offers a apachectl -M to see what modules are present.

        Comment


        • #5
          I have apache 2.0
          The acces_log notice :
          [Fri Nov 02 17:58:41 2007] [notice] Apache/2.0.61 (Unix) mod_jk/1.2.20 configured -- resuming normal operations
          does not mean that it's charged ?

          debian:/usr/bin# a2enmod
          Which module would you like to enable?
          Your choices are: ls: /etc/apache2/mods-available/*.load: Aucun fichier ou répertoire de ce type

          Module name? mod_jk.so
          This module does not exist!
          didn't found module ...
          Last edited by vitch; 11-02-2007, 07:45 PM.

          Comment


          • #6
            i think Mr. Martin is right.
            it seems a mod_jk problem !!
            Pl'z check whether it is correctly installed + configured !!!!
            Which OS ru using ?


            Originally posted by vitch View Post
            I have apache 2.0
            The acces_log notice :


            does not mean that it's charged ?

            didn't found module ...

            Comment


            • #7
              My OS is Debian Sarge.
              i have reinstall manually mod_jy with tomcat-connectors-1.2.20-src.tar.gz INSTALL notes :
              Build for both Apache 1.3 and 2.0
              ---------------------------------

              If you want to build mod_jk for Apache 1.3 and 2.0, you should :

              use configure and indicate Apache 1.3 apxs location (--with-apxs)
              use make
              copy the mod_jk binary to the apache modules location

              make clean (to remove all previously compiled modules)
              use configure and indicate Apache 2.0 apxs location,
              then make.

              ./configure --with-apxs=/usr/sbin/apxs
              make
              cp ./apache-1.3/mod_jk.so /usr/lib/apache
              make clean
              ./configure --with-apxs=/usr/sbin/apxs2
              make
              cp ./apache-2.0/mod_jk.so /usr/lib/apache2
              And if i try to open an inexistant directory i can see a white page with :
              You don't have permission to access / on this server.
              Apache/2.0.61 (Unix) mod_jk/1.2.20 Server at 192.168.2.4 Port 80
              But i have a new problems
              I don't know it's a good idea but I'm trying to get last source
              cvs -d server:anonymous@www.open-xchange.com:/cvsroot/ co open-xchange
              and recompile with ANT and i have a new error message :

              debian:/home/dwl/oxcvs/open-xchange# ant -Dlib.dir=/opt/open-xchange/lib installBuildfile: build.xml

              prepare:

              patchVersionJava:
              [copy] Copying 1 file to /home/dwl/oxcvs/open-xchange/src/com/openexchange/server

              compile:
              [javac] Compiling 5 source files to /home/dwl/oxcvs/open-xchange/build
              [javac] /home/dwl/oxcvs/open-xchange/src/com/openexchange/imap/IMAPConnection.java:249: illegal start of expression
              [javac] <<<<<<< IMAPConnection.java
              [javac] ^
              [javac] 1 error

              BUILD FAILED
              /home/dwl/oxcvs/open-xchange/build.xml:116: Compile failed; see the compiler error output for details.

              Total time: 7 seconds

              Comment


              • #8
                Why not ur using an in-built Debian Repository to install+configure mod_jk+Apache
                I don't think there should be any prob installing manually, but if ur facing some probs, try using in-built Repo thru "apt-get install" ..
                It's also suggested in OX Hyperion docm.


                Originally posted by vitch View Post
                My OS is Debian Sarge.
                i have reinstall manually mod_jy with tomcat-connectors-1.2.20-src.tar.gz INSTALL notes :


                And if i try to open an inexistant directory i can see a white page with :


                But i have a new problems
                I don't know it's a good idea but I'm trying to get last source

                and recompile with ANT and i have a new error message :

                Comment


                • #9
                  I have try to install with apt-get method but i have a problems with dependencies and the version of package for sarge is more old than required.
                  I have installed sarge with netinstall and i think is not a good idea. If i can't found any solution i install a new os with dvd sarge release. Netinstall for sarge is bad.
                  But i would try to found error with my installation.

                  Comment


                  • #10
                    have u checked your mirror from where ur downloading packages and have u created local Repo in Debian ??
                    If prob still persists, try using Debian-etch or Dapper-Drake.
                    They r providing latest releases ..


                    Originally posted by vitch View Post
                    I have try to install with apt-get method but i have a problems with dependencies and the version of package for sarge is more old than required.
                    I have installed sarge with netinstall and i think is not a good idea. If i can't found any solution i install a new os with dvd sarge release. Netinstall for sarge is bad.
                    But i would try to found error with my installation.

                    Comment


                    • #11
                      Yes i have check my mirror and i use backports and debian sarge mirror. I don't have a local repo.
                      What is better ? Install on debian sarge or etch 4 ?

                      Thanks for your help.
                      Have you any idea for my new error message when i try to recompile cvs open-xchange with new cvs ?

                      Comment


                      • #12
                        I think u should try it on Etch/Dapper Drake as they provide upadated releases , becoz u don;t have local repo right now, which is important.
                        also try these commands :
                        - locate *.deb
                        see path where your all .deb packages r installed and try
                        - dpkg -i <any package name> to see whether ur able to install any pkg.

                        Secondly, yes, i've seen your error msg. It seems that there is a prob in your Cyrus-IMAP config. (E-mail Setup).
                        check your build.xml file section where u've defined all your .jar file names for Classpath..!!



                        Originally posted by vitch View Post
                        Yes i have check my mirror and i use backports and debian sarge mirror. I don't have a local repo.
                        What is better ? Install on debian sarge or etch 4 ?

                        Thanks for your help.
                        Have you any idea for my new error message when i try to recompile cvs open-xchange with new cvs ?

                        Comment


                        • #13
                          the command locate *.deb return a empty result on my sarge.

                          I begin a new install on etch netinstall for test

                          On my sarge :
                          debian:/home/dwl/libmodjk# dpkg -i libapache2-mod-jk2_2.0.4-3_i386.deb
                          (Lecture de la base de données... 21049 fichiers et répertoires déjà installés.)
                          Préparation du remplacement de libapache2-mod-jk2 2.0.4-3 (en utilisant libapache2-mod-jk2_2.0.4-3_i386.deb) ...
                          Dépaquetage de la mise à jour de libapache2-mod-jk2 ...
                          dpkg : des problèmes de dépendances empêchent la configuration de libapache2-mod-jk2 :
                          libapache2-mod-jk2 dépend de apache2-common (>= 2.0.50-10) ; cependant :
                          Paquet apache2-common n'est pas encore configuré.
                          dpkg : erreur de traitement de libapache2-mod-jk2 (--install) :
                          problèmes de dépendances - laissé non configuré
                          Des erreurs ont été rencontrées pendant l'exécution :
                          libapache2-mod-jk2
                          and if i try to install apache2-common :

                          debian:/home/dwl/libmodjk# dpkg -i libapache2-mod-jk2_2.0.4-3_i386.deb
                          (Lecture de la base de données... 21049 fichiers et répertoires déjà installés.)
                          Préparation du remplacement de libapache2-mod-jk2 2.0.4-3 (en utilisant libapache2-mod-jk2_2.0.4-3_i386.deb) ...
                          Dépaquetage de la mise à jour de libapache2-mod-jk2 ...
                          dpkg : des problèmes de dépendances empêchent la configuration de libapache2-mod-jk2 :
                          libapache2-mod-jk2 dépend de apache2-common (>= 2.0.50-10) ; cependant :
                          Paquet apache2-common n'est pas encore configuré.
                          dpkg : erreur de traitement de libapache2-mod-jk2 (--install) :
                          problèmes de dépendances - laissé non configuré
                          Des erreurs ont été rencontrées pendant l'exécution :
                          libapache2-mod-jk2
                          debian:/home/dwl/libmodjk# dpkg -i apache2-common_2.0.54-5sarge1_i386.deb
                          (Lecture de la base de données... 21049 fichiers et répertoires déjà installés.)
                          Préparation du remplacement de apache2-common 2.0.54-5sarge1 (en utilisant apache2-common_2.0.54-5sarge1_i386.deb) ...
                          Dépaquetage de la mise à jour de apache2-common ...
                          dpkg : des problèmes de dépendances empêchent la configuration de apache2-common :
                          apache2-common dépend de openssl ; cependant :
                          Paquet openssl n'est pas installé.
                          apache2-common dépend de ssl-cert (>= 1.0-7) ; cependant :
                          Paquet ssl-cert n'est pas installé.
                          dpkg : erreur de traitement de apache2-common (--install) :
                          problèmes de dépendances - laissé non configuré
                          Des erreurs ont été rencontrées pendant l'exécution :
                          apache2-common
                          And i can't install openssl via apt-get etc ....
                          Many pb with dependencies
                          Last edited by vitch; 11-03-2007, 02:57 PM.

                          Comment


                          • #14
                            ok.
                            better it is to try it on Etch/Dapper-Drake
                            It seems that your debian-sarge installation is not complete otherwise u'll get
                            all .deb packages listed
                            Good Luck...


                            Originally posted by vitch View Post
                            the command locate *.deb return a empty result on my sarge.

                            I begin a new install on etch netinstall for test

                            On my sarge :


                            and if i try to install apache2-common :



                            And i can't install openssl via apt-get etc ....
                            Many pb with dependencies

                            Comment


                            • #15
                              Hi,

                              installing all required packages by hand is no good idea imho. apt-get install <package> or aptitiude install <package> is much more easier because all dependencies are fetched from the debian or ubuntu repository at the internet.

                              Greetings

                              Comment

                              Working...
                              X